using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BusinessLogicContracts
{
    public interface IStudentLogic
    {
        bool Create(StudentBindingModel model);
        bool Update(StudentBindingModel model);
        bool Delete(StudentBindingModel model);
        List<StudentViewModel>? ReadList(StudentSearchModel? model);
        StudentViewModel? ReadElement(StudentSearchModel model);
    }
}
